<p align="center"><img src="https://cloud.githubusercontent.com/assets/1039236/24427602/38d494a6-1429-11e7-80be-6da3451d7e20.png"></p>

<p align="center">
<a href="https://github.com/lubusIN/CMB-sublime-snippets/releases"><img src="https://img.shields.io/github/release/lubusIN/CMB-sublime-snippets.svg?style=flat-square" alt="Latest Stable Version"></a> <a href="https://packagecontrol.io/packages/CMB%20snippets"><img src="https://img.shields.io/packagecontrol/dt/CMB%20snippets.svg" alt="Downloads"></a> <a href="https://wordpress.org/plugins/wc-dashboard-widget/"><img src="https://img.shields.io/aur/license/yaourt.svg" alt="Licence"></a>
</p>

**Introduction**
--------------------
For use with [HumanMade's Custom Meta Boxes](https://github.com/humanmade/Custom-Meta-Boxes/) for [Wordpress](wordpress.org)

![CMB Sublime Snippets](https://cloud.githubusercontent.com/assets/1039236/19284518/ce8d1760-9013-11e6-9d01-6a6c721af758.gif)

About
---------

HumanMade's Custom Meta Box is an important part of our WordPress development workflow. We extensively use it on majority of our projects to craft beautiful custom back ends which are easy to use. To speed our workflow we created these sublime snippets. Recently we updated snippets to be inline with CMB and thought to share it with other fellow developers. We will actively keep improving this snippets.

>**Atom:** Atom User ? no worries you are covered, snippets are available [here](https://github.com/lubusIN/CMB-Atom-Snippets).

Mentions
----------

https://asphaltthemes.com/sublime-text-wordpress-extensions/


Installation
------------
**# Easy installation**

You can install this awesome snippets through the [Package Control](https://packagecontrol.io/installation).

1. Press <kbd>cmd/ctrl</kbd> + <kbd>shift</kbd> + <kbd>p</kbd> to open the command palette.
2. Type *"install package"* and press enter. Then search for *"CMB Snippets"*


**# Manual installation**

1. Download the [latest release](https://github.com/lubusIN/CMB-sublime-snippets/releases/latest), extract and rename the directory to **"CMB Sublime Snippets"**.
2. Move the directory inside your sublime `Packages` directory. **(Preferences > Browse packages...)**


Roadmap
-------------------------------

To know about the upcoming release and release plan check out our [milestones](https://github.com/lubusIN/CMB-sublime-snippets/milestones). If you want to contribute or suggest anything feel free to send pull request (PR) or [create an issue](https://github.com/lubusIN/CMB-sublime-snippets/issues/new)

Snippets
--------
**Helpers**

| Snippets                             | Descriptions                          |
| :-------------                       | :------------------------------------ |
| cmb:create                           | Generates metabox                     |
| cmb:display                          | Display single meta field             |
| cmb:display_group                    | Display group meta field              |
| cmb:display_repeatable               | Display group repeatable  meta field  |
| cmb:display_repeatable_group 		   | Display repeatable group meta field   |



**Field Types**

| Snippets                             | Descriptions                          |
| :-------------                       | :------------------------------------ |
| cmb:text             | Generate text field          			|
| cmb:small_text       | Generate small text field 				|
| cmb:number           | Generate number field   				|
| cmb:url              | Generate url field     				|
| cmb:wysiwyg 		   | Generate editor field   				|
| cmb:textarea 		   | Generate textarea field	    		|
| cmb:textarea_code    | Generate textarea for code   			|
| cmb:select 		   | Generate select field   			  	|
| cmb:taxonomy_select  | Generate WordPress taxonomy select   	|
| cmb:post_select 	   | Generate WordPress post select		  	|
| cmb:file 		       | Generate file upload field				|
| cmb:image 		   | Generate image upload field		  	|
| cmb:checkbox 		   | Generate checkbox field  				|
| cmb:radio 		   | Generate radio field  					|
| cmb:date 		       | Generate date field				  	|
| cmb:time 		       | Generate time field				  	|
| cmb:date_unix 	   | Generate unix date field			  	|
| cmb:datetime_unix    | Generate unix datetime field  			|		
| cmb:group 		   | Generate group field				  	|
| cmb:title 		   | Generate title field  					|
| cmb:gmap		       | Generate location - google map field  	|
| cmb:colorpicker 	   | Display color picker 			field  	|

**Contributing**
----------------

Thank you for considering contributing to the "CMB Sublime Snippets". You can read the contribution guide lines [here](CONTRIBUTING.md)

You can check the [task list](https://github.com/lubusIN/CMB-sublime-snippets/projects/1) for contribution ideas.

**Credits**
------------
Maintained by [Ajit Bohra](http://https://twitter.com/ajitbohra)

**About LUBUS**
---------------
[LUBUS](http://lubus.in) is a WordPress & Laravel agency based in Mumbai.

**License**
-----------
CMB Sublime Snippets is open-sourced software licensed under the [GPL 3.0 license](LICENSE)

Change log
----------
For details [view changelog](https://github.com/lubusIN/CMB-sublime-snippets/blob/master/CHANGELOG.md)
